org.eclipse.wst.jsdt.ui.text.java.hover

## Interface IJavaEditorTextHover

    public interface IJavaEditorTextHover

Provides a hover popup which appears on top of an editor with relevant display information. If the text hover does not provide information no hover popup is shown.

Clients may implement this interface.

See Also:
  `org.eclipse.ui.IEditorPart`, `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setEditor(IEditorPart editor)` Sets the editor on which the hover is shown.

### Method Detail

#### setEditor

    void setEditor(IEditorPart editor)

Sets the editor on which the hover is shown.

Parameters:
  `editor` - the editor on which the hover popup should be shown